OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Attributes | List of all members
op::Renderer Class Reference

`#include <renderer.hpp>`

Inherited by op::FaceCpuRenderer, op::GpuRenderer, op::HandCpuRenderer, and op::PoseCpuRenderer.

## Public Member Functions
| Renderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~Renderer ()
void | increaseElementToRender (const int increment)
void | setElementToRender (const int elementToRender)
void | setElementToRender (const ElementToRender elementToRender)
bool | getBlendOriginalFrame () const
void | setBlendOriginalFrame (const bool blendOriginalFrame)
float | getAlphaKeypoint () const
void | setAlphaKeypoint (const float alphaKeypoint)
float | getAlphaHeatMap () const
void | setAlphaHeatMap (const float alphaHeatMap)
bool | getShowGooglyEyes () const
void | setShowGooglyEyes (const bool showGooglyEyes)

## Protected Attributes
const float | mRenderThreshold
std::atomic< bool > | mBlendOriginalFrame
std::shared_ptr< std::atomic < unsigned int > > | spElementToRender
std::shared_ptr< const unsigned int > | spNumberElementsToRender
std::atomic< bool > | mShowGooglyEyes

## Constructor & Destructor Documentation

op::Renderer::Renderer | ( | const float | renderThreshold,
|  | const float | alphaKeypoint,
|  | const float | alphaHeatMap,
|  | const bool | blendOriginalFrame = `true`,
|  | const unsigned int | elementToRender = `0u`,
|  | const unsigned int | numberElementsToRender = `0u`
| ) |  |
| explicit

virtual op::Renderer::~Renderer | ( |  | ) |
| virtual

## Member Function Documentation

float op::Renderer::getAlphaHeatMap | ( |  | ) | const

float op::Renderer::getAlphaKeypoint | ( |  | ) | const

bool op::Renderer::getBlendOriginalFrame | ( |  | ) | const

bool op::Renderer::getShowGooglyEyes | ( |  | ) | const

void op::Renderer::increaseElementToRender | ( | const int | increment | ) |

void op::Renderer::setAlphaHeatMap | ( | const float | alphaHeatMap | ) |

void op::Renderer::setAlphaKeypoint | ( | const float | alphaKeypoint | ) |

void op::Renderer::setBlendOriginalFrame | ( | const bool | blendOriginalFrame | ) |

void op::Renderer::setElementToRender | ( | const int | elementToRender | ) |

void op::Renderer::setElementToRender | ( | const ElementToRender | elementToRender | ) |

void op::Renderer::setShowGooglyEyes | ( | const bool | showGooglyEyes | ) |

## Member Data Documentation

std::atomic<bool> op::Renderer::mBlendOriginalFrame
| protected

const float op::Renderer::mRenderThreshold
| protected

std::atomic<bool> op::Renderer::mShowGooglyEyes
| protected

std::shared_ptr<std::atomic<unsigned int> > op::Renderer::spElementToRender
| protected

std::shared_ptr<const unsigned int> op::Renderer::spNumberElementsToRender
| protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/core/renderer.hpp